# python defaults for neon

NEONDIR := /opt/project-neon

include $(NEONDIR)/share/pkg-project-neon/0/default-settings.mk

include /usr/share/python/python.mk

# overrides for project-neon

# py_libdir: absolute path to the default python library for third party
# stuff. Call as: $(call py_libdir, <python version>).
# Don't use this in shell snippets inside loops.
py_libdir = $(NEONDIR)/lib/python$(strip $(if $(findstring 3.,$(subst python,,$(1))),3,$(subst python,,$(1))))/$(py_sitename)

py_libdir_sh = $$(_py_=$(strip $(1)); path=$$(python$${_py_\#python*} -c 'from distutils import sysconfig; print(sysconfig.get_python_lib(prefix="$(NEONDIR)"))'); echo $${path$\%*site*}dist$${path\#*site*})

