#!/usr/bin/env perl
#
# Set the 4.7\library path for project-neon overriding the setting in
# /etc/xdg/Trolltech.conf
#
###############################################################################

use Config::IniFiles;

my $filename = "$ENV{HOME}/.project-neon-kde/config/Trolltech.conf";
$cfile = new Config::IniFiles -allowempty => 1;
$cfile->SetFileName($filename);
if (-e $filename) {
    $cfile->ReadConfig();
}
$cfile->newval('qt', '4.8\libraryPath', '/opt/project-neon/lib/kde4/plugins');
$cfile->RewriteConfig();
